#ifndef _LOG_H_
#define _LOG_H_

#include <time.h>
#include <stdarg.h>
#include <syslog.h>
#include <dbi/dbi.h>

__attribute__((format(printf, 2, 3)))
void log_msg(int priority, const char *msg, ...);

__attribute__((format(printf, 3, 4)))
void log_handler(int priority, const char *handler, const char *msg, ...);

void open_log(dbi_conn conn, int sysloglevel, int mysqllevel, int printlevel);

#endif
